Bug 141422 - viewing files under /sys with mc shows extra garbage
viewing files under /sys with mc shows extra garbage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-30 19:41 EST by Doncho N. Gunchev
Modified: 2013-07-02 19:03 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.6.1-0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-01 07:13:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doncho N. Gunchev 2004-11-30 19:41:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
    Hello all,
    after testing Jindrich Novy's patch for bug #141065 I tryed viewing some files under /sys. When I open /sys/block/loop0/dev (for example) for editing (F4) it shows 4 bytes (7:0\0x0A), but opening it for viewing  shows 4096 bytes and all extra bytes are filled with 0xFF. I'll try to post a message in mc-devel and add a link to it here.

Version-Release number of selected component (if applicable):
mc-4.6.1-0.10

How reproducible:
Always

Steps to Reproduce:
1. start mc
2. navigate to /sys/block/loop0/
3. press F3 for viewing and switch to hex mode.
4. for comparsion press F4 to edit ot use cat and wc.

Additional info:

    I was not able to find file with more than 4096 bytes under /sys to see what happends then, but I fear it could lead to oferflow.
Comment 1 Doncho N. Gunchev 2004-11-30 19:48:39 EST
http://mail.gnome.org/archives/mc-devel/2004-December/msg00000.html is
the message in mc-devel. Sorry for the mess upside, I used
https://bugzilla.redhat.com/beta/ :(
Comment 2 Jindrich Novy 2004-12-01 02:04:41 EST
Hi Doncho,

yes I know about this bug with growing buffers. I'll try to
review/modify the patch presented by Roland in October to fix this and
if it's ok, I'll apply it in the next Red Hat release of mc, which I
build soon so that also fix of broken symlinks #141065 will take effect.
Comment 3 Jindrich Novy 2004-12-01 07:13:50 EST
You can get the srpm and binaries for mc-4.6.1-0.11 before it appears on mirrors
from http://people.redhat.com/jnovy/files/

thanks for the report.
Comment 4 Doncho N. Gunchev 2004-12-01 08:24:01 EST
    Thanks a lot, I'll test thiese tonight when I get home and report back.
Comment 5 Doncho N. Gunchev 2004-12-01 17:45:10 EST
    mc-4.6.1-0.11 works fine with /proc, /sys and /selinux (view,
edit, copy) and tar operations. Fish seems to works also, many thanks!

Note You need to log in before you can comment on or make changes to this bug.